Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: OpenSUSE Tumbleweed KDE not loading

  1. #1

    Default OpenSUSE Tumbleweed KDE not loading

    Hi folks,

    After python package installation on openSUSE Tumbleweed GUI stop working.
    After the system reboot an unusual login GUI ask me for authentication.Even providing the right ones,
    I got the error: "Failed to start section".

    With CTRL + ALT + F1 I'm able to access the terminal with the same credentials mentioned above.
    The CLI work just fine. However the output for commands such as dolphin . is `zsh: command not found: dolphin`.
    That's the output for the command

    inxi -G --display:

    ```
    Graphics:
    Device-1: Advanced Micro Devices [AMD/ATI] Picasso driver: amdgpu v:
    kernel Display: x11 server: X.Org 1.20.8 driver: amdgpu, ati unloaded: fbdev,modesetting,vesa
    Message: No advanced graphics data found on this system.
    ```
    screenfetch output:

    ```
    OS: openSUSE 2020 05 15
    Kernel: x86_64 Linux 5.6.12-1-
    defaultUptime: 39m
    Packages: 2602
    Shell: zsh 5.8
    Disk: 967G / 1.2T (80%)
    CPU: AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx @ 8x 2.1GHz
    GPU:
    RAM: 802MiB / 5846 MiB

    ```

    Things I already tried
    zypper update, refresh, dup
    zypper in xf86-video-intel
    zypper fresh install
    zypper in purge-kernels
    sudo passwd: new one

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,823
    Blog Entries
    14

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Quote Originally Posted by raphaeu View Post
    Hi folks,

    After python package installation on openSUSE Tumbleweed GUI stop working.
    After the system reboot an unusual login GUI ask me for authentication.Even providing the right ones,
    I got the error: "Failed to start section".

    With CTRL + ALT + F1 I'm able to access the terminal with the same credentials mentioned above.
    The CLI work just fine. However the output for commands such as dolphin . is `zsh: command not found: dolphin`.
    That's the output for the command

    inxi -G --display:

    ```
    Graphics:
    Device-1: Advanced Micro Devices [AMD/ATI] Picasso driver: amdgpu v:
    kernel Display: x11 server: X.Org 1.20.8 driver: amdgpu, ati unloaded: fbdev,modesetting,vesa
    Message: No advanced graphics data found on this system.
    ```
    screenfetch output:

    ```
    OS: openSUSE 2020 05 15
    Kernel: x86_64 Linux 5.6.12-1-
    defaultUptime: 39m
    Packages: 2602
    Shell: zsh 5.8
    Disk: 967G / 1.2T (80%)
    CPU: AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx @ 8x 2.1GHz
    GPU:
    RAM: 802MiB / 5846 MiB

    ```

    Things I already tried
    zypper update, refresh, dup
    zypper in xf86-video-intel
    zypper fresh install
    zypper in purge-kernels
    sudo passwd: new one
    Hi, welcome,

    1. On TW you should use 'zypper dup' ( no up, refresh happens automagically with dup )
    the intel video driver is of no use, you have an AMD + Radeon
    the other commands are neither to be expected to have some effect here.

    Are you on btrfs? If so, run
    Code:
    sudo snapper list
    and remember the last snapshot number before installing the python packages.
    then
    Code:
    sudo snapper rollback ####
    where #### is that last snapshotnumber

    Also, show
    Code:
    zypper lr -d
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Hi Knurpht, I apologize for the delay and really appreciate your answer.
    Thanks for your clarification.

    As you can see I'm a newbie on Linux world and more precisely on openSUSE TW one.

    Well, yes I'm on btrfs.

    Here is the output for:

    Code:
    sudo snapper list:
    
          
    -----+--------+-------+---------------------------------+------+---------+-----------------------+--------------
    0 | single | | | root | | current |
    519 | single | | Sat 16 May 2020 10:25:43 PM -03 | root | number | rollback backup of #1 | important=yes
    521 | single | | Sat 16 May 2020 10:28:40 PM -03 | root | number | first root filesystem | important=yes
    522* | single | | Sat 16 May 2020 10:28:40 PM -03 | root | | first root filesystem |
    523 | pre | | Sat 16 May 2020 11:59:51 PM -03 | root | number | zypp(zypper) | important=yes
    524 | post | 523 | Sun 17 May 2020 12:02:55 AM -03 | root | number | | important=yes
    527 | single | | Sun 17 May 2020 02:16:31 PM -03 | root | | |
    532 | pre | | Wed 20 May 2020 09:49:53 AM -03 | root | number | zypp(zypper) | important=no
    533 | post | 532 | Wed 20 May 2020 10:09:38 AM -03 | root | number | | important=no
    # | Type | Pre # | Date | User | Cleanup | Description | Userdata
    All the dates here are from the week that the issue happens. I've already blindly and unsuccessfully tried the rollback alternative.
    I'm not sure if I messed the things up, but I have never saved snapshots file system before, so those dates make sense.

    That said, simply does not make sense rollback to the last dated snapshot

    the output for

    Code:
    zypper lr -d
    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    ---+--------------------------------------+--------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------+--------
    1 | Google-Chrome | Google-Chrome | Yes | (r ) Yes | No | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    2 | KDE-Applications | KDE-Applications | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Tumbleweed/ |
    3 | KDE-Frameworks | KDE-Frameworks | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Factory/ |
    4 | KDE-Qt5 | KDE-Qt5 | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Factory/ |
    5 | adobe | adobe | Yes | ( p) Yes | Yes | 99 | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/ |
    6 | code | Visual Studio Code | Yes | (r ) Yes | No | 99 | rpm-md | https://packages.microsoft.com/yumrepos/vscode |
    7 | dvd | dvd | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/13.2/ |
    8 | google-chrome | google-chrome | Yes | (r ) Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    9 | http-download.opensuse.org-092ce705 | openSUSE:Factory | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Factory/snapshot/ |
    10 | http-download.opensuse.org-1e10a4bc | openSUSE:Tumbleweed | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/ |
    11 | http-download.opensuse.org-2cbd93c7 | devel:languages:haskell:lts:13 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/haskell:/lts:/13/openSUSE_Leap_15.1/ |
    12 | http-download.opensuse.org-84ca802d | home:cabelo | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/cabelo/openSUSE_Tumbleweed/ |
    13 | http-download.opensuse.org-957423dc | server:database | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_Tumbleweed/ |
    14 | http-download.opensuse.org-a8779bfe | system:packagemanager | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/system:/packagemanager/openSUSE_Tumbleweed/ |
    15 | http-download.opensuse.org-b888aba0 | home:darthzen:arduino | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/darthzen:/arduino/openSUSE_Tumbleweed/ |
    16 | openSUSE-20190907-0 | openSUSE-20190907-0 | No | ---- | ---- | 99 | rpm-md | hd:/?device=/dev/disk/by-id/usb-Kingston_DataTraveler_3.0_80C5F260FAC2E311686F1AD8-0:0-part2 |
    17 | packman | packman | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/ |
    18 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/ |
    19 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    20 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    21 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/ |
    22 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/tumbleweed/repo/oss/ |
    23 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |
    24 | snappy | snappy | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.0 |
    sudo zypper lr -d
    Any thoughts?

    ~ Best wishes.

  4. #4
    Join Date
    Mar 2020
    Location
    São Leopoldo, RS, Brazil
    Posts
    153

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Quote Originally Posted by raphaeu View Post
    Code:
    sudo snapper list:
    
          
    -----+--------+-------+---------------------------------+------+---------+-----------------------+--------------
    0 | single | | | root | | current |
    519 | single | | Sat 16 May 2020 10:25:43 PM -03 | root | number | rollback backup of #1 | important=yes
    521 | single | | Sat 16 May 2020 10:28:40 PM -03 | root | number | first root filesystem | important=yes
    522* | single | | Sat 16 May 2020 10:28:40 PM -03 | root | | first root filesystem |
    523 | pre | | Sat 16 May 2020 11:59:51 PM -03 | root | number | zypp(zypper) | important=yes
    524 | post | 523 | Sun 17 May 2020 12:02:55 AM -03 | root | number | | important=yes
    527 | single | | Sun 17 May 2020 02:16:31 PM -03 | root | | |
    532 | pre | | Wed 20 May 2020 09:49:53 AM -03 | root | number | zypp(zypper) | important=no
    533 | post | 532 | Wed 20 May 2020 10:09:38 AM -03 | root | number | | important=no
    # | Type | Pre # | Date | User | Cleanup | Description | Userdata
    All the dates here are from the week that the issue happens. I've already blindly and unsuccessfully tried the rollback alternative.
    I'm not sure if I messed the things up, but I have never saved snapshots file system before, so those dates make sense.

    That said, simply does not make sense rollback to the last dated snapshot
    Your attempts to salvage the system created additional snapshots, which forced the older, working snapshots to be cleaned up by snapper. I suppose snapshots #519,521 are only broken copies from #1. Next time, remember to find a working snapshot before attempting the rollback, by booting from a read-only snapshot from the grub menu.


    Quote Originally Posted by raphaeu View Post
    the output for

    Code:
    zypper lr -d
    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    ---+--------------------------------------+--------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------+--------
    1 | Google-Chrome | Google-Chrome | Yes | (r ) Yes | No | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    2 | KDE-Applications | KDE-Applications | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Tumbleweed/ |
    3 | KDE-Frameworks | KDE-Frameworks | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Factory/ |
    4 | KDE-Qt5 | KDE-Qt5 | Yes | (r ) Yes | No | 75 | rpm-md | https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Factory/ |
    5 | adobe | adobe | Yes | ( p) Yes | Yes | 99 | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/ |
    6 | code | Visual Studio Code | Yes | (r ) Yes | No | 99 | rpm-md | https://packages.microsoft.com/yumrepos/vscode |
    7 | dvd | dvd | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/13.2/ |
    8 | google-chrome | google-chrome | Yes | (r ) Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    9 | http-download.opensuse.org-092ce705 | openSUSE:Factory | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Factory/snapshot/ |
    10 | http-download.opensuse.org-1e10a4bc | openSUSE:Tumbleweed | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/ |
    11 | http-download.opensuse.org-2cbd93c7 | devel:languages:haskell:lts:13 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/haskell:/lts:/13/openSUSE_Leap_15.1/ |
    12 | http-download.opensuse.org-84ca802d | home:cabelo | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/cabelo/openSUSE_Tumbleweed/ |
    13 | http-download.opensuse.org-957423dc | server:database | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_Tumbleweed/ |
    14 | http-download.opensuse.org-a8779bfe | system:packagemanager | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/system:/packagemanager/openSUSE_Tumbleweed/ |
    15 | http-download.opensuse.org-b888aba0 | home:darthzen:arduino | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/darthzen:/arduino/openSUSE_Tumbleweed/ |
    16 | openSUSE-20190907-0 | openSUSE-20190907-0 | No | ---- | ---- | 99 | rpm-md | hd:/?device=/dev/disk/by-id/usb-Kingston_DataTraveler_3.0_80C5F260FAC2E311686F1AD8-0:0-part2 |
    17 | packman | packman | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/ |
    18 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/ |
    19 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    20 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    21 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/ |
    22 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/tumbleweed/repo/oss/ |
    23 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |
    24 | snappy | snappy | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.0 |
    sudo zypper lr -d
    Any thoughts?

    ~ Best wishes.
    You added repositories that would cause to break the system, that's for sure.

    • repo-*: that's the default repositories for tumbleweed, mainly repo-oss and repo-update, and if you want non-OSS software then the repo-non-oss as well.
    • 3 KDE/Qt repositories: tumbleweed has quite fresh versions of these packages already, unless you develop for that, remove them.
    • 2 google chrome repos: remove at least 1 of them.
    • 4 repos mention a version (13.2, 15.0, 15.1), it means it's for Leap, not Tumbleweed. Get rid of them: packman's, snappy, dvd, haskell.
    • Remove the installation media repository: openSUSE-20190907-0
    • http-download.*: remove all of them
    • adobe repo returns 404
    • VS code it's fine to keep


    Now run

    Code:
    zypper dup --allow-vendor-change
    Hopefully it would bring back stable version of packages.

    Reboot and see if the desktop is back.

    Next run

    Code:
    zypper pa --orphaned
    This is a list of installed packages that can't receive updates, because the origin repository is gone. zypper rm packages you don't need.

    As for the other repositories, follow the procedure for packman and others, always picking the tumbleweed version, and never adding a "Factory" repository.

    Good luck.
    openSUSE Tumbleweed

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,823
    Blog Entries
    14

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Thoughts: Having these home: and KDE/QT repos are the cause. TW already has the latest tested KDE/Plasma and QT versions. Remove those KDE related repos, run
    Code:
    sudo zypper dup --allow-vendor-change
    and my bet is KDE will start again.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Hi guys, thanks for your hints.
    The problem persists, but now I have a better understands of TW.

    I've removed all the mentioned packages.
    Here is the output for:

    Code:
    sudo lr -d
    
          
    --+---------------+-----------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------+--------
    1 | code | Visual Studio Code | Yes | (r ) Yes | No | 99 | rpm-md | https://packages.microsoft.com/yumrepos/vscode |
    2 | google-chrome | google-chrome | Yes | (r ) Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    3 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    4 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    5 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/ |
    6 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/tumbleweed/repo/oss/ |
    7 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |
    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    awerlang, here is the output for

    Code:
    zypper pa --orphaned
    
    
          
    Reading installed packages...
    S | Repository | Name | Version | Arch
    ---+------------+-----------------------------------+---------------------------+-------
    i+ | @System | adobe-release-x86_64 | 1.0-1 | noarch
    i+ | @System | alien | 8.88-2.25 | x86_64
    i+ | @System | flash-player | 32.0.0.363-1.1 | x86_64
    i+ | @System | flash-player-gnome | 32.0.0.363-1.1 | x86_64
    i+ | @System | flash-player-ppapi | 32.0.0.371-release | x86_64
    i+ | @System | flash-plugin | 32.0.0.371-release | x86_64
    i+ | @System | gstreamer-plugins-ugly-orig-addon | 1.16.2-6.11 | x86_64
    i+ | @System | intellij-idea-community-edition | 2017.3-9.7 | x86_64
    i+ | @System | libdca0 | 0.0.7-1.1 | x86_64
    i+ | @System | libdvdcss2 | 1.2.13-5.1 | x86_64
    i+ | @System | libfaad2 | 2.9.1-1.3 | x86_64
    i+ | @System | libfdk-aac1 | 0.1.5-1.1 | x86_64
    i | @System | libicu66 | 66.1-1.1 | x86_64
    i | @System | libicu66-ledata | 66.1-1.1 | noarch
    i+ | @System | libopencore-amrnb0 | 0.1.5-1.42 | x86_64
    i+ | @System | libopencore-amrwb0 | 0.1.5-1.42 | x86_64
    i+ | @System | librtmp1 | 2.4.20151223.fa8646d-1.44 | x86_64
    i+ | @System | libvo-amrwbenc0 | 0.1.3-1.30 | x86_64
    i+ | @System | libx264-148 | 0.148svn20161219-5.1 | x86_64
    i+ | @System | libx264-155 | 0.155svn20190201-3.2 | x86_64
    i | @System | libx264-157 | 0.157svn20191217-1.1 | x86_64
    i+ | @System | libx265-102 | 2.2-1.1 | x86_64
    i+ | @System | libx265-176 | 3.1.2-1.3 | x86_64
    i+ | @System | libx265-179 | 3.2.1-3.10 | x86_64
    i | @System | libx265-188 | 3.3-1.3 | x86_64
    i+ | @System | libxvidcore4 | 1.3.5-2.22 | x86_64
    i+ | @System | mtpfs | 1.1-3.64 | x86_64
    i+ | @System | ocenaudio | 3.7.9-1.opensuse | x86_64
    i+ | @System | openSUSE-release-dvd | 20190907-247.1 | x86_64
    i+ | @System | snapd | 2.44.5-lp150.1.1 | x86_64
    Loading repository data...

  7. #7

    Default Re: OpenSUSE Tumbleweed KDE not loading

    For you both, after sudo zypper dup --allow-vendor-change
    the following message is displayed:

    there are running programs which still use files from libraries deleted or updated by recent upgrades. They should be restarted to benefit from the
    latest updates. Run 'zypper ps -s' to list these programs.
    The output for

    Code:
    sudo zypper ps -s
          
    PID | PPID | UID | User | Command | Service
    -----+------+------+------------+---------------------+-----------------
    1 | 0 | 0 | root | systemd |
    535 | 1 | 0 | root | systemd-journald | systemd-journald
    549 | 1 | 0 | root | systemd-udevd | systemd-udevd
    1335 | 1 | 498 | avahi | avahi-daemon | avahi-daemon
    1337 | 1 | 499 | messagebus | dbus-daemon | dbus
    1351 | 1 | 473 | polkitd | polkitd | polkit
    1355 | 1 | 0 | root | smartd | smartd
    1363 | 1 | 469 | nscd | nscd | nscd
    1503 | 1 | 0 | root | bluetoothd | bluetooth
    1504 | 1 | 0 | root | systemd-logind | systemd-logind
    1505 | 1 | 0 | root | ModemManager | ModemManager
    1506 | 1 | 0 | root | python3.8 | firewalld
    1514 | 1 | 0 | root | NetworkManager | NetworkManager
    1530 | 1 | 0 | root | cupsd | cups
    1531 | 1 | 0 | root | dockerd | docker
    1763 | 1 | 0 | root | wpa_supplicant | wpa_supplicant
    2054 | 1 | 0 | root | login |
    2099 | 1 | 0 | root | accounts-daemon | accounts-daemon
    2104 | 2094 | 0 | root | Xorg | display-manager
    2128 | 2094 | 0 | root | lightdm |
    2139 | 1 | 460 | lightdm | systemd |
    2140 | 2139 | 460 | lightdm | systemd |
    2148 | 2128 | 460 | lightdm | lightdm-gtk-greeter |
    2165 | 2139 | 460 | lightdm | dbus-daemon |
    2171 | 2166 | 460 | lightdm | dbus-daemon |
    2192 | 2094 | 0 | root | lightdm | display-manager
    2195 | 2139 | 460 | lightdm | at-spi2-registryd |
    2214 | 1 | 1000 | drawbridge | systemd |
    2216 | 2214 | 1000 | drawbridge | systemd |
    You may wish to restart these processes.
    See 'man zypper' for information about the meaning of values in the above table.
    Core libraries or services have been updated.
    Reboot is required to ensure that your system benefits from these updates.
    The following running processes use deleted files:
    I'll keep investigating and whenever I get results, I update the thread as well.

    Regards.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,823
    Blog Entries
    14

    Default Re: OpenSUSE Tumbleweed KDE not loading

    Reboot and you should be ok
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9

    Default Re: OpenSUSE Tumbleweed KDE not loading

    I've reboot and the warnings gone.

    But the original problem persists.

    "Failed to start section!"
    The KDE theme I'm used to use still not back.

    Tuff times bois, tuff times!

  10. #10
    Join Date
    Mar 2020
    Location
    São Leopoldo, RS, Brazil
    Posts
    153

    Default Re: OpenSUSE Tumbleweed KDE not loading

    This can give more insight into the login manager:

    Code:
    journalctl -b -u display-manager.service
    It should contain mention of sddm, although it seems that the error message is more associated to LightDM ("Failed to start session!"). Resolution involved forcing re-installation of the desktop.

    The 'KDE theme' you mention is the login screen? It might be LightDM instead of SDDM.
    openSUSE Tumbleweed

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •